"""
default app creation
"""
import os
import pkg_resources
import sentry_sdk
from sentry_sdk.integrations.flask import FlaskIntegration

import inventory_provider

sentry_dsn = os.getenv('SENTRY_DSN')
if sentry_dsn:
    sentry_sdk.init(
        dsn=sentry_dsn,
        integrations=[FlaskIntegration()],
        release=pkg_resources.get_distribution('inventory-provider').version)

app = inventory_provider.create_app()

if __name__ == "__main__":
    # app.run(host="::", port="7777")
    app.run(host="::", port="7878")
