from flask import Blueprint, Response

from inventory_provider.routes import common
from inventory_provider.routes.common import get_current_redis

routes = Blueprint("state_checker", __name__)


@routes.route("/equipment-details/<equipment_name>")
@common.ims_hostname_decorator("equipment_name")
def get_equipment_details(equipment_name):
    r = get_current_redis()
    result = r.get(f"state-checker:equipment-vendors:{equipment_name}")
    if not result:
        return Response(
            response="no available info for {}".format(equipment_name),
            status=404,
            mimetype="text/html")
    return Response(response=result.decode("utf-8"), mimetype="application/json")
